Klever - Feature #10754

Update CPAchecker (SMG)
03/13/2021 04:26 PM - Evgeny Novikov

Status: New Start date: 03/13/2021
Priority: Urgent Due date:

Assignee: Evgeny Novikov % Done: 0%
Category: Addons Estimated time: 0.00 hour
Target version: 3.2

Published in build:

Description

We expect that CPAchecker (SMG) will improve representation of verification results (violation witnesses and code coverage). This
will facilitate users especially newcomers. Also, bug fixes and optimizations are always welcome.

Related issues:
Blocks Klever - Feature #10794: Add notes from CPAchecker SMG to code coverage Resolved 04/07/2021

History

#1 - 04/08/2021 01:17 PM - Evgeny Novikov
- Blocks Feature #10794: Add notes from CPAchecker SMG to code coverage added

#2 - 04/08/2021 01:18 PM - Evgeny Novikov
- Priority changed from High to Urgent

We will need to update CPAchecker (SMG) to get highly demanded improvements in representation of witnesses and code coverage.
#3 - 04/19/2021 04:47 PM - Evgeny Novikov

Temporarily | updated CPAchecker to https:/github.com/Druidos/cpachecker/commit/953c051 in branch update-cpachecker. Most likely there will be
further updates that in particular will be in the primary SVN repository rather than in the GitHub mirror.

#4 - 05/13/2021 08:10 PM - Evgeny Novikov

- Assignee changed from Anton Vasilyev to Evgeny Novikov

The branch was merged to branch coverage-notes and then to better-code-coverage. In the latter branch | switched CPAchecker back to branch
klever_fixes where Anton moved all changes made in his own repository.
